PETSc version 3.15.5
Fix/Edit manual page

# VecPointwiseMax

Computes the componentwise maximum w_i = max(x_i, y_i).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseMax(Vec w,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| x, y | - the vectors

### Output Parameter

| w | - the result

### Notes

any subset of the x, y, and w may be the same vector. For complex numbers compares only the real part

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Implementations

VecPointwiseMax_Seq in src/vec/vec/impls/seq/bvec2.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages